// Window class header
#pragma once

#include <Windows.h>

namespace nf::cli {
    class Window {
    public:
        Window();

        void runLoop();
        void show(bool show = true);
    private:
        static LRESULT CALLBACK wndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);

        HWND m_handle;

        const char* m_wndClassName;
        const DWORD m_windowedStyle;
    };
}
